# 升级Zeppelin版本

原文链接 : [http://zeppelin.apache.org/docs/0.7.2/install/upgrade.html](http://zeppelin.apache.org/docs/0.7.2/install/upgrade.html)

译文链接 : [http://www.apache.wiki/pages/viewpage.action?pageId=10030611](http://www.apache.wiki/pages/viewpage.action?pageId=10030611)

贡献者 : [片刻](/display/~jiangzhonglian) [ApacheCN](/display/~apachecn) [Apache中文网](/display/~apachechina)

基本上，较新版本的Zeppelin与以前版本的笔记本电脑目录和配置配合使用。所以拷贝`notebook`和`conf`目录应该够了。

## 说明

1.  停止Zeppelin

    ```
    bin/zeppelin-daemon.sh stop
    ```

2.  复制您`notebook`和`conf`目录到一个备份目录

3.  下载较新版本的Zeppelin并安装。请参阅[安装页面](http://zeppelin.apache.org/docs/0.7.1/install/install.html#installation)。

4.  将备份`notebook`和`conf`目录复制到更高版本的Zeppelin `notebook`和`conf`目录中

5.  启动Zeppelin

    ```
    bin/zeppelin-daemon.sh start
    ```

## 迁移指南

### 从Zeppelin 0.6 升级到0.7

*   从0.7起，我们不使用`ZEPPELIN_JAVA_OPTS`默认值，`ZEPPELIN_INTP_JAVA_OPTS`对于`ZEPPELIN_MEM`/ 也不使用默认值`ZEPPELIN_INTP_MEM`。如果用户想要配置jvm opt的解释器进程，请设置`ZEPPELIN_INTP_JAVA_OPTS`并`ZEPPELIN_INTP_MEM`明确。如果没有设置`ZEPPELIN_INTP_MEM`，Zeppelin将`-Xms1024m -Xmx1024m -XX:MaxPermSize=512m`默认设置。
*   映射`%jdbc(prefix)`到`%prefix`不再可用。相反，您可以在GUI上使用多个解释器设置的％[interpreter alias]。
*   `ZEPPELIN_PORT`ssl模式不支持用法。而是`ZEPPELIN_SSL_PORT`用来配置ssl端口。值`ZEPPELIN_PORT`仅在`ZEPPELIN_SSL`设置时使用`false`。
*   对Spark 1.1.x至1.3.x的支持已被弃用。
*   从0.7起，我们`pegdown`用作翻译的`markdown.parser.type`选项`%md`。渲染的降价可能与您预期的不同
*   从0.7 note.json格式已被更改为支持段落中的多个输出。Zeppelin将自动将旧格式转换为新格式。0.6或更低版本可以读取新的note.json格式，但输出不会显示。有关详细信息，请参阅[ZEPPELIN-212](http://issues.apache.org/jira/browse/ZEPPELIN-212)并[提取请求](https://github.com/apache/zeppelin/pull/1658)。
*   从0.7备注存储层将`GitNotebookRepo`默认使用，而不是`VFSNotebookRepo`存储层，这是后者的扩展，版本控制功能在其上。