# 解释器安装

原文链接 : [http://zeppelin.apache.org/docs/0.7.2/manual/interpreterinstallation.html](http://zeppelin.apache.org/docs/0.7.2/manual/interpreterinstallation.html)

译文链接 : [http://www.apache.wiki/pages/viewpage.action?pageId=10030734](http://www.apache.wiki/pages/viewpage.action?pageId=10030734)

贡献者 : [片刻](/display/~jiangzhonglian) [ApacheCN](/display/~apachecn) [Apache中文网](/display/~apachechina)

Apache Zeppelin提供了**解释器安装**机制，为他们下载了Zeppelin `netinst`二进制包，或者只是想安装另一个第三方解释器。

## 社区管理解释器

Apache Zeppelin提供了几个解释器作为[社区管理解释器](http://zeppelin.apache.org/docs/0.7.1/manual/interpreterinstallation.html#available-community-managed-interpreters)。如果您下载了`netinst`二进制包，则需要使用以下命令进行安装。

#### 安装所有社区管理的解释器

```
./bin/install-interpreter.sh --all 
```

#### 安装特定的解释器

```
./bin/install-interpreter.sh --name md,shell,jdbc,python 
```

您可以通过运行获得社区管理解释器的完整列表

```
./bin/install-interpreter.sh --list
```

#### 安装Scala 2.10构建的解释器

Zeppelin支持Scala 2.10和2.11的几个解释器如下：

| Name | Maven Artifact for Scala 2.10 | Maven Artifact for Scala 2.11 |
| --- | --- | --- |
| cassandra | org.apache.zeppelin:zeppelin-cassandra_2.10:0.7.1 | org.apache.zeppelin:zeppelin-cassandra_2.11:0.7.1 |
| flink | org.apache.zeppelin:zeppelin-flink_2.10:0.7.1 | org.apache.zeppelin:zeppelin-flink_2.11:0.7.1 |
| ignite | org.apache.zeppelin:zeppelin-ignite_2.10:0.7.1 | org.apache.zeppelin:zeppelin-ignite_2.11:0.7.1 |
| scio | org.apache.zeppelin:zeppelin-scio_2.10:0.7.1 | org.apache.zeppelin:zeppelin-scio_2.11:0.7.1 |
| spark | org.apache.zeppelin:zeppelin-spark_2.10:0.7.1 | org.apache.zeppelin:zeppelin-spark_2.11:0.7.1 |

如果您仅使用`--name`选项安装其中一个解释器，则安装程序将默认下载使用Scala 2.11构建的解释器。如果要指定Scala版本，则需要添加`--artifact`选项。下面是使用Scala 2.10构建的flink解释器的示例。

```
./bin/install-interpreter.sh --name flink --artifact org.apache.zeppelin:zeppelin-flink_2.10:0.7.1
```

#### 安装Scala 2.10构建的Spark解释器

Spark分发包已经与Scala 2.10一起构建，直到1.6.2。如果您`SPARK_HOME`指定Spark 2.0之前的版本，则需要下载Scala 2.10打包的Spark解释器。为此，请使用以下命令：

```
rm -rf ./interpreter/spark 
./bin/install-interpreter.sh --name spark --artifact org.apache.zeppelin:zeppelin-spark_2.10:0.7.1
```

## 第三方解释器

您还可以使用以下命令安装位于maven仓库中的第三方解释器。

#### [安装第三方解释器](http://zeppelin.apache.org/docs/0.7.1/manual/interpreterinstallation.html#install-3rd-party-interpreters)

```
./bin/install-interpreter.sh --name interpreter1 --artifact groupId1:artifact1:version1 
```

上述命令将下载maven artifact `groupId1:artifact1:version1`及其所有的传递依赖关系到`interpreter/interpreter1`目录中。

重启后的Zeppelin，然后[创建解释器设置](http://zeppelin.apache.org/docs/0.7.1/manual/interpreters.html#what-is-zeppelin-interpreter)，并[与您的笔记本电脑绑定它](http://zeppelin.apache.org/docs/0.7.1/manual/interpreters.html#what-is-zeppelin-interpreter-setting)。

#### [一次安装多个第三方解释器](http://zeppelin.apache.org/docs/0.7.1/manual/interpreterinstallation.html#install-multiple-3rd-party-interpreters-at-once)

```
./bin/install-interpreter.sh --name interpreter1,interpreter2 --artifact groupId1:artifact1:version1,groupId2:artifact2:version2
```

`--name`而`--artifact`参数会收到逗号分隔列表。

## 可用的社区管理解释器

您还可以在`conf/interpreter-list`文件中找到以下社区管理的解释器列表。

| Name | Maven Artifact | Description |
| --- | --- | --- |
| alluxio | org.apache.zeppelin:zeppelin-alluxio:0.7.1 | Alluxio 解释器 |
| angular | org.apache.zeppelin:zeppelin-angular:0.7.1 | HTML和AngularJS视图呈现 |
| beam | org.apache.zeppelin:zeppelin-beam:0.7.1 | Beam 解释器 |
| bigquery | org.apache.zeppelin:zeppelin-bigquery:0.7.1 | BigQuery 解释器 |
| cassandra | org.apache.zeppelin:zeppelin-cassandra_2.11:0.7.1 | 用Scala 2.11构建的Cassandra解释器 |
| elasticsearch | org.apache.zeppelin:zeppelin-elasticsearch:0.7.1 | Elasticsearch 解释器 |
| file | org.apache.zeppelin:zeppelin-file:0.7.1 | HDFS 文件解释器 |
| flink | org.apache.zeppelin:zeppelin-flink_2.11:0.7.1 | 用Scala 2.11构建的Flink解释器 |
| hbase | org.apache.zeppelin:zeppelin-hbase:0.7.1 | Hbase 解释器 |
| ignite | org.apache.zeppelin:zeppelin-ignite_2.11:0.7.1 | 用Scala 2.11构建的Ignite解释器 |
| jdbc | org.apache.zeppelin:zeppelin-jdbc:0.7.1 | Jdbc 解释器 |
| kylin | org.apache.zeppelin:zeppelin-kylin:0.7.1 | Kylin 解释器 |
| lens | org.apache.zeppelin:zeppelin-lens:0.7.1 | Lens 解释器 |
| livy | org.apache.zeppelin:zeppelin-livy:0.7.1 | Livy 解释器 |
| md | org.apache.zeppelin:zeppelin-markdown:0.7.1 | Markdown 支持 |
| pig | org.apache.zeppelin:zeppelin-pig:0.7.1 | Pig 解释器 |
| postgresql | org.apache.zeppelin:zeppelin-postgresql:0.7.1 | Postgresql 解释器 |
| python | org.apache.zeppelin:zeppelin-python:0.7.1 | Python 解释器 |
| scio | org.apache.zeppelin:zeppelin-scio_2.11:0.7.1 | 用Scala 2.11构建的Scio解释器 |
| shell | org.apache.zeppelin:zeppelin-shell:0.7.1 | Shell 命令 |