# HBase Shell 解释器

原文链接 : [http://zeppelin.apache.org/docs/0.7.2/interpreter/hbase.html](http://zeppelin.apache.org/docs/0.7.2/interpreter/hbase.html)

译文链接 : [http://www.apache.wiki/pages/viewpage.action?pageId=10030801](http://www.apache.wiki/pages/viewpage.action?pageId=10030801)

贡献者 : [片刻](/display/~jiangzhonglian) [ApacheCN](/display/~apachecn) [Apache中文网](/display/~apachechina)

## 概述

[HBase Shell](http://hbase.apache.org/book.html#shell)是Apache HBase的JRuby IRB客户端。此解释器提供Apache Zeppelin中Apache HBase shell的所有功能。

解释器假定已安装Apache HBase客户端软件，并且可以从安装Apache Zeppelin的计算机连接到Apache HBase集群。

要开始使用HBase，请参阅[HBase Quickstart](https://hbase.apache.org/book.html#quickstart)。

## 支持HBase版本

默认情况下，Zeppelin是针对HBase 1.0.x版本而构建的。要使用HBase 1.1.x版本，请使用以下build命令：

```
# HBase 1.1.4
mvn clean package -DskipTests -Phadoop-2.6 -Dhadoop.version=2.6.0 -P build-distr -Dhbase.hbase.version=1.1.4 -Dhbase.hadoop.version=2.6.0 
```

要使用HBase 1.2.0+，请使用以下build命令：

```
# HBase 1.2.0
mvn clean package -DskipTests -Phadoop-2.6 -Dhadoop.version=2.6.0 -P build-distr -Dhbase.hbase.version=1.2.0 -Dhbase.hadoop.version=2.6.0
```

## 配置

| 属性 | 默认 | 描述 |
| --- | --- | --- |
| hbase.home | /usr/lib/hbase | HBase的安装目录，在环境中默认为HBASE_HOME |
| hbase.ruby.sources | lib/ruby | 相对于“hbase.home”的Ruby脚本路径 |
| zeppelin.hbase.test.mode | false | 禁用单元和手动测试的检查 |

如果要连接到群集上运行的HBase，则需要执行下一步。

### 导出HBASE_HOME

在**conf/zeppelin-env.sh中**，`HBASE_HOME`使用HBase安装路径导出环境变量。这样可以确保`hbase-site.xml`可以加载。

例如

```
export HBASE_HOME=/usr/lib/hbase 
```

或者用CDH运行时

```
export HBASE_HOME="/opt/cloudera/parcels/CDH/lib/hbase" 
```

您可以选择性地出口`HBASE_CONF_DIR`，而不是`HBASE_HOME`你应该有自定义的HBase的配置。

[ ](http://zeppelin.apache.org/docs/0.7.1/interpreter/hbase.html#enabling-the-hbase-shell-interpreter)

## 启用HBase Shell解释器

在笔记本中，要启用**HBase Shell**解释器，请单击**Gear**图标，然后选择**HBase Shell**。

## 使用HBase Shell解释器

在段落中，用于`%hbase`选择**HBase Shell**解释器，然后输入所有命令。要获取可用命令的列表，请使用`help`。

```
%hbase
help 
```

例如，创建一个表

```
%hbase 
create 'test', 'cf' 
```

然后将数据放入该表中

```
%hbase 
put 'test', 'row1', 'cf:a', 'value1' 
```

有关可用命令的更多信息，请参阅[HBase shell命令](https://learnhbase.wordpress.com/2013/03/02/hbase-shell-commands/)。