# HDFS文件系统 解释器

原文链接 : [http://zeppelin.apache.org/docs/0.7.2/interpreter/hdfs.html](http://zeppelin.apache.org/docs/0.7.2/interpreter/hdfs.html)

译文链接 : [http://www.apache.wiki/pages/viewpage.action?pageId=10030805](http://www.apache.wiki/pages/viewpage.action?pageId=10030805)

贡献者 : [片刻](/display/~jiangzhonglian) [ApacheCN](/display/~apachecn) [Apache中文网](/display/~apachechina)

## 概述

[Hadoop文件系统](http://hadoop.apache.org/)是hadoop项目的分布式，容错文件系统的一部分，通常用作[Hadoop MapReduce](http://hadoop.apache.org/)和[Apache Spark](http://spark.apache.org/)或[Alluxio](http://www.alluxio.org/)等底层文件系统等分布式处理引擎的存储。

[ ](http://zeppelin.apache.org/docs/0.7.1/interpreter/hdfs.html#configuration)

## 配置

| 属性 | 默认 | 描述 |
| --- | --- | --- |
| hdfs.url | [http://localhost:50070/webhdfs/v1/](http://localhost:50070/webhdfs/v1/) | WebHDFS的URL |
| hdfs.user | HDFS | WebHDFS用户 |
| hdfs.maxlength | 1000 | 获取的最大行结果行数 |

该解释器使用HTTP WebHDFS接口连接到HDFS。它支持应用于HDFS的基本shell文件命令，它目前只支持浏览。

*   您可以使用_ls [PATH]_和_ls -l [PATH]_列出目录。如果路径丢失，则列出当前目录。 _ls_支持用于人类可读文件大小的_-h_标志。
*   您可以使用_cd [PATH]_通过给出相对或绝对路径来更改当前目录。
*   您可以调用_pwd_来查看当前目录。

> **提示：**使用（Ctrl +。）进行自动完成。

[ ](http://zeppelin.apache.org/docs/0.7.1/interpreter/hdfs.html#create-interpreter)

## 创建解释器

在笔记本中，要启用**HDFS**解释器，请单击**齿轮**图标并选择**HDFS**。

[ ](http://zeppelin.apache.org/docs/0.7.1/interpreter/hdfs.html#webhdfs-rest-api)

## WebHDFS REST API 

您可以通过针对提供给解释器的WebHDFS终端运行curl命令来确认您是否可以访问WebHDFS API。

这是一个例子：

```
$> curl "http://localhost:50070/webhdfs/v1/?op=LISTSTATUS" 
```