# 安装

原文链接 : [http://zeppelin.apache.org/docs/0.7.2/install/install.html](http://zeppelin.apache.org/docs/0.7.2/install/install.html)

译文链接 : [http://www.apache.wiki/pages/viewpage.action?pageId=10030536](http://www.apache.wiki/pages/viewpage.action?pageId=10030536)

贡献者 : [片刻](/display/~jiangzhonglian) [ApacheCN](/display/~apachecn) [Apache中文网](/display/~apachechina)

欢迎来到Apache Zeppelin！本页面是有助于开始使用的说明。

## 安装

Apache Zeppelin正式支持并在以下环境下进行测试：

| Name | Value |
| --- | --- |
| Oracle JDK | 1.7 
(set `JAVA_HOME`) |
| OS | Mac OSX 
Ubuntu 14.X 
CentOS 6.X 
Windows 7 Pro SP1 |

### 下载二进制包

[Apache Zeppelin下载页面](http://zeppelin.apache.org/download.html)提供了两个二进制包。只有这两个二进制文件之间的区别才是包文件中的解释器。

*   #### [ `all`口译包](http://zeppelin.apache.org/docs/0.7.2/install/install.html#package-with-all-interpreters)

    只需将其打包在您选择的目录中即可。

*   #### [ `net-install编译包`](http://zeppelin.apache.org/docs/0.7.2/install/install.html#package-with-net-install-interpreters)

    打开包装并按照[安装其他编译程序](http://www.apache.wiki/pages/viewpage.action?pageId=10030734)安装解释器。如果您不确定，只需运行`./bin/install-interpreter.sh --all`并安装所有解释器。

## 启动Apache Zeppelin

#### 从命令行启动Apache Zeppelin

在所有unix平台上：

```
bin/zeppelin-daemon.sh start
```

```
如果你在Windows上：
```

```
bin\zeppelin.cmd
```

```
Zeppelin成功启动后，使用网络浏览器访问 http://localhost:8080。
```

#### 停止Zeppelin

```
bin/zeppelin-daemon.sh stop 
```

#### 与service manager一起启动Apache Zeppelin

**注意：**以下描述是基于Ubuntu Linux编写的。

Apache Zeppelin可以使用初始化脚本作为服务自动启动，使用像**upstart**这样的服务管理器。

这是一个保存的示例upstart脚本，因为`/etc/init/zeppelin.conf` 这允许使用诸如以下命令来管理服务

```
sudo service zeppelin start  
sudo service zeppelin stop  
sudo service zeppelin restart 
```

其他service manager可以使用与`upstart`传递给`zeppelin-daemon.sh`脚本的参数类似的方法。

```
bin/zeppelin-daemon.sh upstart
```

**zeppelin.conf**

```
description "zeppelin"

start on (local-filesystems and net-device-up IFACE!=lo)
stop on shutdown

# Respawn the process on unexpected termination
respawn

# respawn the job up to 7 times within a 5 second period.
# If the job exceeds these values, it will be stopped and marked as failed.
respawn limit 7 5

# zeppelin was installed in /usr/share/zeppelin in this example
chdir /usr/share/zeppelin
exec bin/zeppelin-daemon.sh upstart
```

## 下一步

恭喜，您已经成功安装Apache Zeppelin！这里有几个可能会有用的步骤：

#### 新到Apache Zeppelin ...

*   要深入了解，请访问[浏览Apache Zeppelin UI](http://www.apache.wiki/pages/viewpage.action?pageId=10030562)。
*   然后，尝试在您的Zeppelin 运行[教程](http://localhost:8080/#/notebook/2A94M5J1Z)笔记本。
*   看看如何改变[配置](http://www.apache.wiki/pages/viewpage.action?pageId=10030540)像端口号等

#### Zeppelin与Apache Spark ...

*   要了解更多关于[Apache Spark](http://spark.apache.org/)深度整合的信息，请查看[Spark Interpreter](http://www.apache.wiki/pages/viewpage.action?pageId=10030923)。

#### Zeppelin与JDBC数据源...

*   检查[JDBC解释器](http://www.apache.wiki/pages/viewpage.action?pageId=10030838)以了解有关配置和使用多个JDBC数据源的更多信息。

#### 使用Python的Zeppelin

*   检查[Python解释器](http://www.apache.wiki/pages/viewpage.action?pageId=10030879)了解更多关于Matplotlib，熊猫，Conda / Docker环境集成。 

#### 多用户环境...

*   打开[身份验证](http://www.apache.wiki/pages/viewpage.action?pageId=10030709)。
*   管理您的[笔记本许可](http://www.apache.wiki/pages/viewpage.action?pageId=10031004)。
*   有关更多信息，请访问**更多** - &gt; **安全性**部分。

#### 其他有用的信息...

*   了解[系统显示](http://www.apache.wiki/pages/viewpage.action?pageId=10030651)的工作原理。
*   使用[Service Manager](http://zeppelin.apache.org/docs/0.7.2/install/install.html#start-apache-zeppelin-with-a-service-manager) 启动Zeppelin。
*   如果您使用以前的版本，请参阅[升级版本](http://www.apache.wiki/pages/viewpage.action?pageId=10030611)。

## 从源代码构建Apache Zeppelin

如果要从源代码构建而不是使用二进制包，请按照[此处的说明进行操作](http://www.apache.wiki/pages/viewpage.action?pageId=10030615)。