# Kylin 解释器

原文链接 : [http://zeppelin.apache.org/docs/0.7.2/interpreter/kylin.html](http://zeppelin.apache.org/docs/0.7.2/interpreter/kylin.html)

译文链接 : [http://www.apache.wiki/pages/viewpage.action?pageId=10030844](http://www.apache.wiki/pages/viewpage.action?pageId=10030844)

贡献者 : [片刻](/display/~jiangzhonglian) [ApacheCN](/display/~apachecn) [Apache中文网](/display/~apachechina)

## 概述

[Apache Kylin](https://kylin.apache.org/)是一个开放源码的分布式分析引擎，旨在为Hadoop提供SQL界面和多维度分析（OLAP），支持极大的数据集，由eBay Inc.提供原创。解释器假设Apache Kylin已经安装，您可以连接到Apache Kylin从机器Apache Zeppelin安装。
要从Apache Kylin开始，请参阅[Apache Kylin Quickstart](https://kylin.apache.org/docs15/index.html)。

## 配置

| 名称 | 默认 | 描述 |
| --- | --- | --- |
| kylin.api.url | [http://localhost:7070/kylin/api/query](http://localhost:7070/kylin/api/query) | kylin查询POST API 
格式可以像 http://&lt;host&gt;:&lt;port&gt;/kylin/api/query |
| kylin.api.user | ADMIN | kylin user |
| kylin.api.password | KYLIN | kylin password |
| kylin.query.project | learn_kylin | 字符串，执行查询的项目。可以在笔记本级更新 |
| kylin.query.ispartial | true | true &#124; false 
（自Apache Kylin V1.5起已被弃用）
是否接受部分结果，默认为“false”。设为“假”用于生产使用。 |
| kylin.query.limit | 5000 | int，Query limit 
如果在sql中设置了limit，则perPage将被忽略。 |
| kylin.query.offset | 0 | int，Query offset 
如果在sql中设置了偏移量，则curIndex将被忽略。 |

## 使用Apache Kylin解释器 

在一个段落，使用`%kylin(project_name)`选择**Kylin**解释器，**项目名称**，然后输入**SQL**。如果没有定义项目名称，将使用上述配置中的默认项目名称。

```
%kylin(learn_project) 
select count(*) from kylin_sales group by part_dt 
```