# 笔记本资源 API

原文链接 : [http://zeppelin.apache.org/docs/0.7.2/index.html](http://zeppelin.apache.org/docs/0.7.2/index.html)

译文链接 : [http://www.apache.wiki/pages/viewpage.action?pageId=10031071](http://www.apache.wiki/pages/viewpage.action?pageId=10031071)

贡献者 : [片刻](/display/~jiangzhonglian) [ApacheCN](/display/~apachecn) [Apache中文网](/display/~apachechina)

## 概述

Apache Zeppelin提供了几个REST API，用于交互和远程激活zeppelin功能。所有REST API都可以从以下端点开始`http://[zeppelin-server]:[zeppelin-port]/api`。需要注意的是Apache的齐柏林飞艇的REST API接收或返回JSON对象，建议你安装一些JSON观众如[JSONView](https://chrome.google.com/webstore/detail/jsonview/chklaanhfefbnpoihckbnefhakgolnmc)。

如果您使用Apache Zeppelin并发现需要一个额外的REST API，请[提出问题或向我们发送电子邮件](http://zeppelin.apache.org/community.html)。

## 笔记本资源库REST API列表

### 列出所有可用的笔记本存储库

| 描述 | 该`GET`方法返回所有可用的笔记本存储库。 |
| 网址 | `http://[zeppelin-server]:[zeppelin-port]/api/notebook-repositories` |
| 成功代码 | 200 |
| 失败代码 | 500 |
| 示例JSON响应 | 

```
{
  "status": "OK",
  "message": "",
  "body": [
    {
      "name": "GitNotebookRepo",
      "className": "org.apache.zeppelin.notebook.repo.GitNotebookRepo",
      "settings": [
        {
          "type": "INPUT",
          "value": [],
          "selected": "ZEPPELIN_HOME/zeppelin/notebook/",
          "name": "Notebook Path"
        }
      ]
    }
  ]
}
```

 |

### 重新加载笔记本存储库

| 描述 | 该`GET`方法触发了重新加载和播放音符列表。 |
| 网址 | `http://[zeppelin-server]:[zeppelin-port]/api/notebook-repositories/reload` |
| 成功代码 | 200 |
| 失败代码 | 500 |
| 示例JSON响应 | 

```
{
  "status": "OK",
  "message": ""
}
```

 |

### 更新一个特定的笔记本存储库

| 描述 | 此`PUT`方法更新一个特定的笔记本存储库。 |
| 网址 | `http://[zeppelin-server]:[zeppelin-port]/api/notebook-repositories` |
| 成功代码 | 200 |
| 失败代码 | 当指定的笔记本存储库 对于任何其他错误的
无效有效载荷
500 不存在406 时，404 |
| 示例JSON输入 | 

```
{
  "name":"org.apache.zeppelin.notebook.repo.GitNotebookRepo",
  "settings":{
    "Notebook Path":"/tmp/notebook/"
  }
}
```

 |
| 示例JSON响应 | 

```
{
  "status": "OK",
  "message": "",
  "body": {
    "name": "GitNotebookRepo",
    "className": "org.apache.zeppelin.notebook.repo.GitNotebookRepo",
    "settings": [
      {
        "type": "INPUT",
        "value": [],
        "selected": "/tmp/notebook/",
        "name": "Notebook Path"
      }
    ]
  }
} 
```

 |