# 配置 API

原文链接 : [http://zeppelin.apache.org/docs/0.7.2/rest-api/rest-configuration.html](http://zeppelin.apache.org/docs/0.7.2/rest-api/rest-configuration.html)

译文链接 : [http://www.apache.wiki/pages/viewpage.action?pageId=10031076](http://www.apache.wiki/pages/viewpage.action?pageId=10031076)

贡献者 : [片刻](/display/~jiangzhonglian) [ApacheCN](/display/~apachecn) [Apache中文网](/display/~apachechina)

## 概述

Apache Zeppelin提供了几个REST API，用于交互和远程激活zeppelin功能。所有REST API都可以从以下端点开始`http://[zeppelin-server]:[zeppelin-port]/api`。需要注意的是Apache的齐柏林飞艇的REST API接收或返回JSON对象，建议你安装一些JSON观众如[JSONView](https://chrome.google.com/webstore/detail/jsonview/chklaanhfefbnpoihckbnefhakgolnmc)。

如果您使用Apache Zeppelin并发现需要一个额外的REST API，请[提出问题或向我们发送电子邮件](http://zeppelin.apache.org/community.html)。需要额外的REST API，请[提出问题或发送邮件](http://zeppelin.apache.org/docs/community.html)。

[ ](http://zeppelin.apache.org/docs/0.7.2/rest-api/rest-configuration.html#configuration-rest-api-list)

## 配置REST API列表

### 列出所有键/值对配置

| 描述 | 此`GET`方法返回服务器上的所有键/值对配置。
注意：出于安全考虑，一些对不会显示。 |
| 网址 | `http://[zeppelin-server]:[zeppelin-port]/api/configurations/all` |
| 成功代码 | 200 |
| 失败代码 | 500 |
| 示例JSON响应 | 

```
{
  "status": "OK",
  "message": "",
  "body": {
    "zeppelin.war.tempdir": "webapps",
    "zeppelin.notebook.homescreen.hide": "false",
    "zeppelin.interpreter.remoterunner": "bin/interpreter.sh",
    "zeppelin.notebook.s3.user": "user",
    "zeppelin.server.port": "8089",
    "zeppelin.dep.localrepo": "local-repo",
    "zeppelin.ssl.truststore.type": "JKS",
    "zeppelin.ssl.keystore.path": "keystore",
    "zeppelin.notebook.s3.bucket": "zeppelin",
    "zeppelin.server.addr": "0.0.0.0",
    "zeppelin.ssl.client.auth": "false",
    "zeppelin.server.context.path": "/",
    "zeppelin.ssl.keystore.type": "JKS",
    "zeppelin.ssl.truststore.path": "truststore",
    "zeppelin.interpreters": "org.apache.zeppelin.spark.SparkInterpreter,org.apache.zeppelin.spark.PySparkInterpreter,org.apache.zeppelin.spark.SparkRInterpreter,org.apache.zeppelin.spark.SparkSqlInterpreter,org.apache.zeppelin.spark.DepInterpreter,org.apache.zeppelin.markdown.Markdown,org.apache.zeppelin.angular.AngularInterpreter,org.apache.zeppelin.shell.ShellInterpreter,org.apache.zeppelin.flink.FlinkInterpreter,org.apache.zeppelin.lens.LensInterpreter,org.apache.zeppelin.ignite.IgniteInterpreter,org.apache.zeppelin.ignite.IgniteSqlInterpreter,org.apache.zeppelin.cassandra.CassandraInterpreter,org.apache.zeppelin.geode.GeodeOqlInterpreter,org.apache.zeppelin.postgresql.PostgreSqlInterpreter,org.apache.zeppelin.kylin.KylinInterpreter,org.apache.zeppelin.elasticsearch.ElasticsearchInterpreter,org.apache.zeppelin.scalding.ScaldingInterpreter",
    "zeppelin.ssl": "false",
    "zeppelin.notebook.autoInterpreterBinding": "true",
    "zeppelin.notebook.homescreen": "",
    "zeppelin.notebook.storage": "org.apache.zeppelin.notebook.repo.VFSNotebookRepo",
    "zeppelin.interpreter.connect.timeout": "30000",
    "zeppelin.anonymous.allowed": "true",
    "zeppelin.server.allowed.origins":"*",
    "zeppelin.encoding": "UTF-8"
  }
}
```

 |

### 列出所有前缀匹配的键/值对配置

| 描述 | 该`GET`方法返回服务器上所有前缀匹配的密钥/值对配置。
注意：出于安全考虑，一些对不会显示。 |
| 网址 | `http://[zeppelin-server]:[zeppelin-port]/api/configurations/prefix/[prefix]` |
| 成功代码 | 200 |
| 失败代码 | 500 |
| 示例JSON响应 | 

```
{
  "status": "OK",
  "message": "",
  "body": {
    "zeppelin.ssl.keystore.type": "JKS",
    "zeppelin.ssl.truststore.path": "truststore",
    "zeppelin.ssl.truststore.type": "JKS",
    "zeppelin.ssl.keystore.path": "keystore",
    "zeppelin.ssl": "false",
    "zeppelin.ssl.client.auth": "false"
  }
}
```

 |